Mailinglist Archive: opensuse-buildservice (250 mails)

< Previous Next >
Re: [opensuse-buildservice] How to build deb packages
  • From: Richard Bos <rbos@xxxxxxxxxxxx>
  • Date: Thu, 2 Apr 2009 12:45:29 +0200
  • Message-id: <200904021245.29511.rbos@xxxxxxxxxxxx>
Piotr and Michael,

Op donderdag 02 april 2009 08:15:08 schreef Piotr Pokora:
But only for older Deb based releases. For the newer ones I get the
following error: "unrecognized file for a v1.0 source package"

That's why I mentioned tar.gz file few days ago :)

Which seems to be known one, it was reported 2 months ago:
http://lists.opensuse.org/opensuse-buildservice/2009-01/msg00067.html
http://lists.opensuse.org/opensuse-buildservice/2009-01/msg00070.html

Would it be possible to adapt the Debtransformer and have tar.bz2 files
be repackaged into tar.gz files? For rpms bz2 is required,

tar.gz also works fine for rpms.
At least, we have such in spec file:

Source: PKGNAME-%{version}.tar.gz

I know, see below:

Op donderdag 02 april 2009 09:56:11 schreef Michael Schroeder:
No, rpm doesn't require bz2 (why should it). Just use a gzipped
tarball if you also want to build debs.

Because of this warning:
ib2008.src: W: source-or-patch-not-bzipped ib2008_linux.tar.gz
A source archive or patch in your package is not bzipped (doesn't have the
.bz2 extension). Files bigger than 100k should be bzip2'ed in order to save
space. To bzip2 a patch, use bzip2. To bzip2 a source tarball, use bznew


--
Richard

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups